/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");

/*===== VARIABLES CSS =====*/
:root {
    --header-height: 3rem;

    /*===== Colores =====*/
    --blue-color: #00015e;
    --first-color: #329CD7;
    --dark-color: #f1f1f1;
    --dark-color-alt: #282b3a;
    /* --white-color: #E6E7E9; */
    --white-color: #fff;
    --black-color: #000000;
    --white-color: #ffffff;


    /*===== Fuente y tipografia =====*/
    --body-font: "Poppins", sans-serif;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;

    /*===== z index =====*/
    --z-fixed: 100;
}

@media (min-width: 768px) and (max-width: 1024px) {
    :root {
        --normal-font-size: 1rem;
        --small-font-size: 0.875rem;
    }
}

/*===== BASE =====*/
*,
::before,
::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    margin: var(--header-height) 0 0 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    font-weight: 500;
}

ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}

.bd-grid {
    max-width: 1024px;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 100%;
    grid-template-columns: 100%;
    /* margin-left: 1.5rem;
    margin-right: 1.5rem; */
}

.row {
    margin: 0;
    padding: 0;
}


/* ============ About Style ============= */

.about-left {
    width: 100%;
}

.about_title img {
    display: flex;
    /*text-align:center;*/
}

.about_title h2 {
    display: none;
    /*border: 2px solid black; */
    /*font-size: 2rem;*/
    /*font-weight: 800;*/
    /*margin-top: 4rem;*/
    /*color: var(--first-color);*/
}

.about_title p {
    display: none;
    /*border: 2px solid black; */
    /*font-size: 1.2rem;*/
    /*font-weight: 500;*/
    /*color: var(--black-color);*/
}

.about-details-section {
    /*border:2px solid black;*/
    margin: 0px 0px 15% 0px;
    padding: 0px;
    width: 100%;
}

.about-details-section {
    margin: 0px 0 10% 0;
}

.about-left h2 {
    font-size: 3.2rem;
    text-align: center;
    color: var(--first-color);
    font-weight: 800;
}

.about-left p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 2rem;
    padding: 30px;
    text-align: left;
}

.about-details-section .row .col-sm-12,
.about-details-section .row .col-md-6 {
    padding-left: 0 !important;
    padding-right: 0 !important;

}

.flip-box {
    transform-style: preserve-3d;
    perspective: 1000px;
    cursor: pointer;

}

.flip-box-front,
.flip-box-back {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 8px;
    width: 25vw;
    color: var(--white-color);
    min-height: 330px;
    transition: transform 0.7s cubic-bezier(.4, .2, .2, 1);
    backface-visibility: hidden;
}

.flip-box-front {
    transform: rotateY(0deg);
    transform-style: preserve-3d;
}

.flip-box:hover .flip-box-front {
    transform: rotateY(-180deg);
    transform-style: preserve-3d;
}

.flip-box-back {
    position: absolute;
    top: 0;
    left: 0;
    width: 25vw;
    min-height: 330px;
    transform: rotateY(180deg);
    transform-style: preserve-3d;
}

.flip-box:hover .flip-box-back {
    transform: rotateY(0deg);
    transform-style: preserve-3d;
}

.flip-box .inner {
    position: absolute;
    left: 0;
    width: 100%;
    padding: 30px;
    outline: 1px solid transparent;
    perspective: inherit;
    z-index: 2;
    transform: translateY(-50%)translateZ(60px) scale(.94);
    top: 50%;
}

.box-item-1,
.box-item-2,
.box-item-3,
.box-item-4,
.flip-box-front .flip-box-header {
    font-size: 1.5rem;
    width: 15vw;

}

.box-item-1,
.box-item-2,
.box-item-3,
.box-item-4,
.flip-box-front .flip-box p {
    font-size: 14px;
    font-weight: 400;
    border-radius: 30px;
    padding: 10px;
    line-height: 1.5rem;

}

.flip-box-back-1,
.flip-box-back-2,
.flip-box-back-3,
.flip-box-back-4,
.flip-box-header {
    font-size: 1.75rem;
    width: 15rem;

}

.flip-box-back-1,
.flip-box-back-2,
.flip-box-back-3,
.flip-box-back-4,
.flip-box p {
    font-size: 14px;
    font-weight: 400;
    border-radius: 30px;
    padding: 10px;
    line-height: 1.5rem;
}

.about-1-icon img {
    width: 60px;
    margin-bottom: 20px;
}

.about-2-icon img {
    width: 60px;
    margin-top: -20px;
    margin-bottom: 20px;
}

.about-3-icon img {
    width: 85px;
    height: 100px;
    margin-top: -65px;
}

.about-4-icon img {
    width: 80px;
    margin-top: -30px;
}

.box-item-1 .flip-box-front .flip-box-header {
    font-size: 20px;
    width: 100%;

}

.box-item-2 .flip-box-front .flip-box-header {
    font-size: 20px;
    width: 100%;
}

.box-item-3 .flip-box-front .flip-box-header {
    font-size: 20px;
    width: 100%;

}

.box-item-4 .flip-box-front .flip-box-header {
    font-size: 20px;
    margin-top: 10px;
    width: 100%;

}

.flip-box-button {
    background-color: transparent;
    border: 1px solid var(--white-color);
    border-radius: 20px;
    color: var(--white-color);
    cursor: pointer;
    font-size: 12px;
    font-weight: 400;
    margin-top: 5px;
    padding: 10px;
    text-transform: uppercase;
}



@media (min-width: 426px) and (max-width: 768px) {


    .about-left {
        width: 100%;
    }

    .about_title img {
        display: flex;
    }

    .about_title h2 {
        display: none;
        /* border: 2px solid black; */
        /*font-size: 2rem;*/
        /*font-weight: 800;*/
        /*margin-top: 4rem;*/
        /*color: var(--first-color);*/
    }

    .about_title p {
        display: none;
        /*border: 2px solid black; */
        /*font-size: 1.2rem;*/
        /*font-weight: 500;*/
        /*color: var(--black-color);*/
    }

    .about-details-section {
        margin: 0px 0px 15% 0px;
        padding: 0px;
        width: 100%;
    }

    .about-left h2 {
        font-size: 1.9rem;
        text-align: left;
        padding-left: 10px;
        color: var(--first-color);
        font-weight: 800;
    }

    .about-left p {
        font-size: 16px;
        font-weight: 400;
        line-height: 1.8rem;
        padding-left: 10px;
        text-align: left;
    }

    .about-details-section .row .col-sm-12,
    .about-details-section .row .col-md-6 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .flip-box-front,
    .flip-box-back {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        border-radius: 8px;
        width: 47vw;
        color: var(--white-color);
        min-height: 330px;
        transition: transform 0.7s cubic-bezier(.4, .2, .2, 1);
        backface-visibility: hidden;
    }

    .flip-box-front {
        transform: rotateY(0deg);
        transform-style: preserve-3d;
    }

    .flip-box:hover .flip-box-front {
        transform: rotateY(-180deg);
        transform-style: preserve-3d;
    }

    .flip-box-back {
        position: absolute;
        top: 0;
        left: 0;
        width: 47vw;
        min-height: 330px;
        transform: rotateY(180deg);
        transform-style: preserve-3d;
    }

    .flip-box:hover .flip-box-back {
        transform: rotateY(0deg);
        transform-style: preserve-3d;
    }

    .flip-box .inner {
        position: absolute;
        left: 0;
        width: 100%;
        padding: 15px;
        outline: 1px solid transparent;
        perspective: inherit;
        z-index: 2;
        transform: translateY(-50%)translateZ(60px) scale(.94);
        top: 50%;
    }

    .about-2-icon img {
        width: 60px;
        margin-top: -8px;
        margin-bottom: 20px;
    }

    .about-3-icon img {
        width: 80px;
        height: 100px;
        margin-top: -70px;
    }

    .about-4-icon img {
        width: 80px;
        margin-top: 10px;
    }

    .box-item-1 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-2 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;
    }

    .box-item-3 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-4 .flip-box-front .flip-box-header {
        font-size: 20px;
        margin-top: 10px;
        width: 100%;

    }

    .box-item-1,
    .box-item-2,
    .box-item-3,
    .box-item-4,
    .flip-box-front .flip-box p {
        font-size: 14px;
        font-weight: 400;
        border-radius: 30px;
        padding: 10px;
        line-height: 1.5rem;

    }

    .flip-box-back-1,
    .flip-box-back-2,
    .flip-box-back-3,
    .flip-box-back-4,
    .flip-box-header {
        font-size: 1.75rem;
        width: 15rem;

    }

    .flip-box-back-1,
    .flip-box-back-2,
    .flip-box-back-3,
    .flip-box-back-4,
    .flip-box p {
        font-size: 14px;
        font-weight: 400;
        border-radius: 30px;
        padding: 10px;
        line-height: 1.5rem;
    }

    .about-1-icon img {
        width: 60px;
        margin-bottom: 20px;

    }

    .about-2-icon img {
        width: 60px;
        margin-top: 5px;
        margin-bottom: 20px;
    }

    .about-3-icon img {
        width: 80px;
        margin-top: -15px;

    }

    .about-4-icon img {
        width: 80px;
        margin-top: -30px;

    }

    .flip-box-button {
        background-color: transparent;
        border: 1px solid var(--white-color);
        border-radius: 20px;
        color: var(--white-color);
        cursor: pointer;
        font-size: 12px;
        font-weight: 400;
        margin-top: 5px;
        padding: 10px;
        text-transform: uppercase;

    }
}


@media(max-width:425px) {

    .about-heading-section .about_title img {
        display: none;

    }

    .about-heading-section .about_title {

        width: 100%;
        height: 40%;
        display:block;
        justify-content:center;
        align-items:center;
        text-align: center;

    }


    .about-heading-section .about_title h2 {

        font-size: 2rem;
        display: block;
        font-weight: 800;
        margin-top: 3rem;
        color: var(--first-color);

    }

    .about-heading-section .about_title p {

        font-size: 1.2rem;
        display: block;
        font-weight: 500;
        color: var(--black-color);

    }

    /* About left column: Full width on mobile/tablet */
    .about-left {

        width: 100%;
        margin-bottom: 5rem;
        margin-top: -1rem;
        padding: 0rem;

    }

    .about-left h2 {
        font-size: 1.8rem;
        margin: 20px 15px;
        text-align: left;
        color: var(--first-color);
        font-weight: 700;

    }

    .about-left p {
        font-size: 1rem;
        font-weight: 400;
        text-align: left;
        margin: auto 15px;
        padding: 0;

    }


    /* About right section: Full width by default */
    .about-right {
        display: block;
        width: 100%;
        grid-template-columns: 1fr;
        gap: 1rem;

    }

    .about-details-section .row .col-sm-12,
    .about-details-section .row .col-md-6 {
        padding-left: 0 !important;
        padding-right: 0 !important;

    }


    .flip-box {
        transform-style: preserve-3d;
        perspective: 1000px;
        cursor: pointer;
        margin-top: 50px;
        width: 92vw;
        display: block;
        gap: 1rem;
        margin-bottom: 50px;

    }

    .flip-box:nth-child(1) {
        grid-area: one;

    }

    .flip-box:nth-child(2) {
        grid-area: two;

    }

    .flip-box:nth-child(3) {
        grid-area: three;

    }

    .flip-box:nth-child(4) {
        grid-area: four;

    }

    .box-item-1,
    .box-item-2,
    .box-item-3,
    .box-item-4 {
        margin: -5rem 0 0 0;

    }

    .flip-box-front,
    .flip-box-back {
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        border-radius: 8px;
        width: 92vw;
        color: var(--white-color);
        min-height: 330px;
        transition: transform 0.7s cubic-bezier(.4, .2, .2, 1);
        backface-visibility: hidden;


    }

    .flip-box-front {
        transform: rotateY(0deg);
        transform-style: preserve-3d;


    }

    .flip-box:hover .flip-box-front {
        transform: rotateY(-180deg);
        transform-style: preserve-3d;

    }

    .flip-box-back {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        min-height: 330px;
        transform: rotateY(180deg);
        transform-style: preserve-3d;

    }

    .flip-box:hover .flip-box-back {
        transform: rotateY(0deg);
        transform-style: preserve-3d;

    }

    .flip-box .inner {
        position: absolute;
        left: 0;
        width: 100%;
        padding: 30px;
        outline: 1px solid transparent;
        perspective: inherit;
        z-index: 2;
        transform: translateY(-50%)translateZ(60px) scale(.94);
        top: 50%;

    }

    .box-item-1 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-2 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-3 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-4 .flip-box-front .flip-box-header {
        font-size: 20px;
        width: 100%;

    }

    .box-item-1,
    .box-item-2,
    .box-item-3,
    .box-item-4,
    .flip-box-front .flip-box p {
        font-size: 14px;
        font-weight: 400;
        border-radius: 30px;
        padding: 10px;
        line-height: 1.5rem;

    }

    .flip-box-back-1,
    .flip-box-back-2,
    .flip-box-back-3,
    .flip-box-back-4,
    .flip-box-header {
        font-size: 1.75rem;
        width: 15rem;

    }

    .flip-box-back-1,
    .flip-box-back-2,
    .flip-box-back-3,
    .flip-box-back-4,
    .flip-box p {
        font-size: 14px;
        font-weight: 400;
        border-radius: 30px;
        padding: 10px;
        line-height: 1.5rem;

    }

    .about-1-icon img {
        width: 60px;
        margin-bottom: 20px;

    }

    .about-2-icon img {
        width: 60px;
        margin-top: 5px;
        margin-bottom: 20px;


    }

    .about-3-icon img {
        width: 80px;
        height: 100px;
        margin-top: -30px;

    }

    .about-4-icon img {
        width: 80px;
        margin-top: -30px;

    }

    .flip-box-button {
        background-color: transparent;
        border: 1px solid var(--white-color);
        border-radius: 20px;
        color: var(--white-color);
        cursor: pointer;
        font-size: 12px;
        font-weight: 400;
        margin-top: 5px;
        padding: 10px;
        text-transform: uppercase;

    }
}